var express = require('express');
var router = express.Router();


const mongoose = require('mongoose');
mongoose.connect('mongodb://localhost:27017/users', { useNewUrlParser: true });
const userModel = mongoose.model('User', { email: String, password: String });

router.get('/', function(req, res) {
    res.render('users', { title: 'Users', user: 'register new user' });
});
router.get('/name', function(req, res) {
    userModel.find({}, function(error, users) {
        var users = JSON.stringify(users);
        res.send(users);
    });
});

router.get('/:email', function(req, res) {
    console.log(req.params.email);
    userModel.find(req.params.email, function(err, user) {
        var users = JSON.stringify(users);
        res.send(user);
    });
});
router.post('/', function(req, res, next) {
    var user = new userModel({
        email: req.body.email,
        password: req.body.password
    });

    user.save().then(() => console.log('saved!'));
});


module.exports = router;