var express = require('express');
var router = express.Router();
var mongoose = require('mongoose');
mongoose.connect('mongodb://localhost:27017/Students', { useNewUrlParser: true });
const studentModel = mongoose.model('Student', { fname: String, lname: String, email: String });


/* GET home page. */
router.get('/', function(req, res, next) {
    res.render('index', { title: 'welcome to Student Board', projectname: 'Students' });
});

router.get('/showusers', function(req, res) {
    var student = studentModel.find({}, function(err, data) {
        var studentdata = JSON.stringify(data);
        res.send(studentdata);
    })
})
router.post('/', function(req, res) {
    var student = new studentModel({
        fname: req.body.fname,
        lname: req.body.lname,
        email: req.body.email,
    })
    student.save().then(() => console.log('student saved!'))
})
module.exports = router;